package com.flyfish.framework.r2dbc.repository;

import com.flyfish.framework.annotations.relation.Association;
import com.flyfish.framework.domain.base.AuditDomain;
import com.flyfish.framework.r2dbc.repository.reference.TestAsso;
import com.flyfish.framework.r2dbc.repository.reference.TestChild;
import lombok.Data;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

import java.util.List;

@Table("test")
@Data
public class TestDO extends AuditDomain {

    @Column("other_id")
    private String otherId;

    @Association(field = "other_id")
    private TestAsso asso;

    @Association(foreignField = "parent_id")
    private List<TestChild> children;
}
